\"			-*-Text-*-
.TH barrel l "" "" "\fBCray Compatibility Library: libCRAY.a\fP" 
.SH NAME
barrel \- Release a Barrier synchronization variable
.SH SYNOPSIS
\fBcall barrel( barrier )\fR
.br
\fBinteger barrier\fR
.SH ARGUMENTS
.B barrier
.RS
Integer variable (in shared memory) to be used as a barrier.
.RE
.SH DESCRIPTION
\fIBarrel\fR releases the identifier assigned to the barrier.
If a task is waiting for passage through the barrier, an error
results.
This routine is useful to detect errors that can arise when a task is
waiting on a barrier whose count will never be met.
The barrier variable can be reused following another call to
\fIbarasgn\fR.
.SH FILES
/usr/local/lib/libCRAY.a
.SH "SEE ALSO"
\fIbarasgn(l)\fR, \fIbarsync(l)\fR
.SH BUGS
\fIBarrel\fR should not be called with a variable that was not
initialized by the \fIbarasgn\fR routine.

