\"	-*-Text-*-
.TH evasgn l "" "" "\fBCray Compatibility Library: libCRAY.a\fP" 
.SH NAME
evasgn \- Initialize an Event synchronization variable
.SH SYNOPSIS
.B call evasgn( event [,value] )
.SH ARGUMENTS
.B event
.RS
Integer variable (in shared memory) to be used as an event.
The user must not modify an event variable after the call to
\fIevasgn\fR until that variable is released by a call to \fIevrel\fR.
.RE
.B value
.RS
This variable is ignored by \fBlibCRAY.a\fR and is maintained for
compatibility purposes only.
.RE
.SH DESCRIPTION
\fIEvasgn\fR identifes an integer variable that the program intends to
use as an event.
The \fIevasgn\fR subroutine must be called for each event variable
before its use with any other event routines.
An event is given the initial state of `cleared'.
An event remains cleared until it is posted with \fIevpost\fR.
The first call assigns the event; forther calls are ignored.
.SH FILES
/usr/local/lib/libCRAY.a
.SH "SEE ALSO"
\fIevrel(l)\fR, \fIevwait(l)\fR, \fIevpost(l)\fR, \fIevclear(l)\fR,
\fIevtest(l)\fR 
.SH BUGS
